/* color */
.color-transparent {
    background: transparent !important;
}

.color-white {
    background: #ffffff !important;
    color: #333 !important;
}

.color-black {
    background: #333333 !important;
    color: #ffffff !important;
}

.color-grey {
    background: #FAFAFA !important;
    color: #666 !important;
}

.color-light-grey {
    background: #F5F5F5 !important;
    color: #666 !important;
}

.color-green {
    background: #29BB9C !important;
    color: #ffffff !important;
}
.color-green-paycode {
    background: #089503 !important;
    color: #ffffff !important;
}

.color-light-green {
    background: #8BC34A !important;
    color: #ffffff !important;
}

.color-red {
    background: #E54D42 !important;
    color: #ffffff !important;
}

.color-lighten-red {
    background: #FF7043 !important;
    color: #ffffff !important;
}

.color-orange {
    background: #FF9800 !important;
    color: #ffffff !important;
}

.color-lighten-orange {
    background: #FFCC80 !important;
    color: #ffffff !important;
}

.color-blue {
    background: #2196f3 !important;
    color: #ffffff !important;
}

.color-purple {
    background: #AB47BC !important;
    color: #ffffff !important;
}

/* color end */
/* border-color*/
.border-color-default {
    border-color: #dddddd !important;
}

.border-color-blue {
    border-color: #2196f3 !important;
}

.border-color-black {
    border-color: #616161 !important;
}

.border-color-orange {
    border-color: #FF9800 !important;
}

.border-color-lighten-red {
    border-color: #FF7043 !important;
}

/* border-color end*/

/* font-color*/
.font-color-white {
    color: #ffffff !important;
}

.font-color-lighten-white {
    color: #EEEEEE !important;
}

.font-color-red {
    color: #E54D42 !important;
}

.font-color-green {
    color: #29BB9C !important;
}

.font-color-blue {
    color: #2196F3 !important;
}

.font-color-grey {
    color: #bdbdbd !important;
}

.font-color-black {
    color: #333333 !important;
}

.font-color-lighten-black {
    color: #666666 !important;
}

.font-color-yellow {
    color: #ffee58 !important;
}

.font-color-orange {
    color: #FF9800 !important;
}

.font-color-lighten-orange {
    color: #FFCC80 !important;
}

/* font-color end*/
/* a-btn-color*/
.a-btn {
    background-color: #2196f3;
    border: 1px solid #2196f3 !important;
    color: #FFFFFF;
}

.a-btn.a-btn-success {
    background-color: #4caf50 !important;
    border: 1px solid #4caf50 !important;
    color: #FFFFFF !important;
}

.a-btn.a-btn-error {
    background-color: #ff5252 !important;
    border: 1px solid #ff5252 !important;
    color: #FFFFFF !important;
}

.a-btn.a-btn-warning {
    background-color: #ffc107 !important;
    border: 1px solid #ffc107 !important;
    color: #FFFFFF !important;
}

.a-btn.a-btn-ghost {
    background-color: transparent !important;
    color: #2196f3 !important;
    border: 1px solid #2196f3 !important;
}

.a-btn.a-btn-ghost:active,
.a-btn.a-btn-ghost.a-btn-hover:hover {
    background-color: #2196f3 !important;
}

.a-btn.a-btn-success.a-btn-ghost {
    background-color: transparent !important;
    color: #4caf50 !important;
    border: 1px solid #4caf50 !important;
}

.a-btn.a-btn-white.a-btn-ghost {
    background-color: transparent !important;
    color: #FFFFFF !important;
    border: 1px solid #FFFFFF !important;
}

.a-btn.a-btn-success.a-btn-ghost:active,
.a-btn.a-btn-success.a-btn-ghost.a-btn-hover:hover {
    background-color: #4caf50 !important;
}

.a-btn.a-btn-error.a-btn-ghost {
    background-color: transparent !important;
    color: #ff5252 !important;
    border: 1px solid #ff5252 !important;
}

.a-btn.a-btn-error.a-btn-ghost:active,
.a-btn.a-btn-error.a-btn-ghost.a-btn-hover:hover {
    background-color: #ff5252 !important;
}

.a-btn.a-btn-warning.a-btn-ghost {
    background-color: transparent !important;
    color: #ffc107 !important;
    border: 1px solid #ffc107 !important;
}

.a-btn.a-btn-warning.a-btn-ghost:active,
.a-btn.a-btn-warning.a-btn-ghost.a-btn-hover:hover {
    background-color: #ffc107 !important;
}

.a-btn.a-btn-ghost:active,
.a-btn.a-btn-ghost.a-btn-hover:hover {
    color: #FFFFFF !important;
    opacity: 1 !important;
}

/* a-btn-color end*/

/* a-input-color*/
.a-input::-webkit-input-placeholder {
    color: #bdbdbd;
}

.a-input + .a-input-border {
    background: #2196f3;
}

.a-input.a-input-success + .a-input-border {
    background: #4caf50;
}

.a-input.a-input-error + .a-input-border {
    background: #ff5252;
}

.a-input.a-input-warning + .a-input-border {
    background: #ffc107;
}

/* a-input-color end*/
